#
# Monitoring Suite, Seven Solutions S.L.
#
# This file is part of monitoring-7s.
# You might use, distribute and modify this code under the terms of
# the LICENSE.txt provided within the project monitoring-7s.
#
# If you do not have received a copy of the LICENSE.txt along with
# this file please write to info@sevensols.com and consider that
# this file can not be copied and/or distributed in any forms.
#
# Created by Eva Lopez Ruiz in July 2021.
#

"""Wrz-monitoring tool logger."""


import logging


LOGGER = logging.getLogger('wrz-monitoring')


def set_logging_config(log_file):
    """Set logging configuration.

    Parameters:
        log_file (boolean): True when print logs in a file, otherwise False
    """
    if log_file:
        log_file = 'wrz_monitoring.log'
        logging.basicConfig(filename=log_file,
                            filemode='w',
                            format='%(asctime)s %(name)s %(levelname)s %(message)s',
                            level=logging.INFO)
    else:
        logging.basicConfig(format='%(name)s: %(levelname)s: %(message)s',
                            level=logging.INFO)
